module Mojesouhlasy

  require 'rest-client'
  require 'mojesouhlasy/version'
  require 'mojesouhlasy/engine' if defined?(::Rails)
  require 'mojesouhlasy/users'
  require 'mojesouhlasy/purposes'

  class Core
    @@config = {}
    cattr_accessor :config

    def initialize(opts = {})
      @opts = opts
    end

    def self.endpoint
      @@config[:endpoint].presence || 'https://mojesouhlasy.cz'
    end

    def self.headers
      {'AUTH-TOKEN' => @@config[:api_token], accept: :json}
    end
  end

end
